
public class Class294 {

   public static Class294 aClass294_3465 = new Class294(12);
   public static Class294 aClass294_3466 = new Class294(4);
   public static Class294 aClass294_3467 = new Class294(10);
   public static Class294 aClass294_3468 = new Class294(9);
   public static Class294 aClass294_3469 = new Class294(6);
   public static Class294 aClass294_3470 = new Class294(13);
   public static Class294 aClass294_3471 = new Class294(7);
   public static Class294 aClass294_3472 = new Class294(11);
   public static Class294 aClass294_3473 = new Class294(3);
   public static Class294 aClass294_3474 = new Class294(8);
   public static Class294 aClass294_3475 = new Class294(14);
   int anInt3476;
   public static Class294 aClass294_3477 = new Class294(15);
   public static Class294 aClass294_3478 = new Class294(1);
   public static Class294 aClass294_3479 = new Class294(5);
   public static Class294 aClass294_3480 = new Class294(2);


   public String method5314() {
      return "_" + this.anInt3476 * 1383331759;
   }

   public String method5315(int var1) {
      return "_" + this.anInt3476 * 1383331759;
   }

   public void method5316() {
      try {
         this.method5321((byte)-3);
      } catch (Throwable var2) {
         ;
      }

   }

   public Object method5317(Object[] var1, int var2) throws Throwable {
      return Class438.method7366(Class393.anApplet4870, this.method5315(179811610), var1, 567184897);
   }

   public void method5318(Object[] var1, int var2) {
      try {
         this.method5317(var1, -2077657218);
      } catch (Throwable var4) {
         ;
      }

   }

   public Object method5319() throws Throwable {
      return Class438.method7363(Class393.anApplet4870, this.method5315(179811610), (byte)17);
   }

   public String method5320() {
      return "_" + this.anInt3476 * 1383331759;
   }

   public Object method5321(byte var1) throws Throwable {
      return Class438.method7363(Class393.anApplet4870, this.method5315(179811610), (byte)67);
   }

   public Object method5322(Object[] var1) throws Throwable {
      return Class438.method7366(Class393.anApplet4870, this.method5315(179811610), var1, 567184897);
   }

   public Object method5323() throws Throwable {
      return Class438.method7363(Class393.anApplet4870, this.method5315(179811610), (byte)-34);
   }

   Class294(int var1) {
      this.anInt3476 = var1 * 1845870415;
   }

   public void method5324(Object[] var1) {
      try {
         this.method5317(var1, -2077657218);
      } catch (Throwable var3) {
         ;
      }

   }

   public void method5325(Object[] var1) {
      try {
         this.method5317(var1, -2077657218);
      } catch (Throwable var3) {
         ;
      }

   }

   public void method5326() {
      try {
         this.method5321((byte)79);
      } catch (Throwable var2) {
         ;
      }

   }

   public void method5327(byte var1) {
      try {
         this.method5321((byte)-46);
      } catch (Throwable var3) {
         ;
      }

   }

   public void method5328() {
      try {
         this.method5321((byte)-74);
      } catch (Throwable var2) {
         ;
      }

   }

   public static boolean method5329(byte[] var0, int var1) {
      RS2Buffer var2 = new RS2Buffer(var0);
      int var3 = var2.readUnsignedByte(-700559597);
      if(2 != var3) {
         return false;
      } else {
         boolean var4 = var2.readUnsignedByte(-700559597) == 1;
         if(var4) {
            Class373.method6543(var2, -2033104745);
         }

         Class394.method6746(var2, (byte)37);
         return true;
      }
   }

   static void method5330(long[] var0, int[] var1, int var2, int var3, int var4) {
      if(var2 < var3) {
         int var5 = (var3 + var2) / 2;
         int var6 = var2;
         long var7 = var0[var5];
         var0[var5] = var0[var3];
         var0[var3] = var7;
         int var9 = var1[var5];
         var1[var5] = var1[var3];
         var1[var3] = var9;
         int var10 = var7 == Long.MAX_VALUE?0:1;

         for(int var11 = var2; var11 < var3; ++var11) {
            if(var0[var11] < var7 + (long)(var11 & var10)) {
               long var12 = var0[var11];
               var0[var11] = var0[var6];
               var0[var6] = var12;
               int var14 = var1[var11];
               var1[var11] = var1[var6];
               var1[var6++] = var14;
            }
         }

         var0[var3] = var0[var6];
         var0[var6] = var7;
         var1[var3] = var1[var6];
         var1[var6] = var9;
         method5330(var0, var1, var2, var6 - 1, 1673463011);
         method5330(var0, var1, var6 + 1, var3, 1673463011);
      }

   }

   static final void method5331(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var0.anInt1386 = var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] * -1221613437;
   }

   static final void method5332(Class508 var0, byte var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      Class37.method1060(var2, (byte)34);
   }

   public static long method5333(CharSequence var0, int var1) {
      int var2 = var0.length();
      long var3 = 0L;

      for(int var5 = 0; var5 < var2; ++var5) {
         var3 = (var3 << 5) - var3 + (long)var0.charAt(var5);
      }

      return var3;
   }
}
